Bug 173281 - removing kernel-2.6.13-1.1532_FC4.i686.rpm with rpm -e clobbers grub.conf
removing kernel-2.6.13-1.1532_FC4.i686.rpm with rpm -e clobbers grub.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 16:32 EST by Jim Haynes
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 13:02:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Haynes 2005-11-15 16:32:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have upgraded the kernel in 3 machines from -2.6.13-1.1532_FC4.i686.rpm to
2.6.14-1.1637_FC4.i686.rpm using rpm -i  (worked fine) and then removed the
2.6.13-1.1532 kernel using rpm -e.  In all cases grub.conf got horribly messed
up and I had to hand edit it.

Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1532_FC4.i686.rpm

How reproducible:
Always

Steps to Reproduce:
1.Have an FC4 system with kernel 2.6.13-1.1532_FC4.i686.rpm installed
2.rpm -i kernel-2.6.14-1.1637_FC4.i686.rpm
3.rpm -e kernel-2.6.13-1.1532_FC4
  

Actual Results:  Depends on previous contents of grub.conf, but typically the 2.6.14 kernel gets
removed from grub.conf

Expected Results:  Should have removed the 2.6.13 kernel from grub.conf and left the 2.6.14 reference.

Additional info:

This may be, in general, too hard a problem for automatic editing of grub.conf to
handle.  In one case I had a 2.6.13 kernel in the system I was running and had another one in a test system on a different disk partition, and grub.conf arranged
to let me choose which system to boot.  rpm -e removed both kernels from grub.conf
and also the 2.6.14 kernel.  I dunno - maybe rpm -e should just ask me if I want
to edit grub.conf by hand and show me what it would do if I let it go ahead.

I'm calling the severity normal, realizing that the affected kernel rpm is already
out the door and can't be fixed, but I hope this doesn't happen on future kernel
updates.
Comment 1 Dave Jones 2005-11-28 18:23:00 EST
grub.conf additions are done with 'grubby', part of mkinitrd.
Comment 2 Christian Iseli 2007-01-22 06:46:39 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Jim Haynes 2007-01-22 13:02:03 EST
It only affected that one kernel RPM, have not had the trouble with anything
else.

I can't find a status of "closed" to change it to, but it's all over.

Note You need to log in before you can comment on or make changes to this bug.